<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sql="http://symod.in2p3.fr/sql" exclude-result-prefixes="sql"
                xmlns="http://symod.in2p3.fr/sql">
    <xsl:output method="xml" indent="yes"/>
    <xsl:param name="md5">base64_md5_hash</xsl:param>

    <xsl:template match="/sql:query">
        <query>
            <xsl:copy-of select="@database"/>
            <xsl:apply-templates select="sql:select"/>
            <from table="{$md5}" as="cache_table"/>
            <xsl:apply-templates select="sql:order"/>
        </query>
    </xsl:template>

    <xsl:template match="@prefix">
        <xsl:attribute name="prefix">cache_table</xsl:attribute>
    </xsl:template>

    <xsl:template match="@*">
        <xsl:copy/>
    </xsl:template>
    <xsl:template match="*">
        <xsl:copy>
            <xsl:apply-templates select="@* | * | text() | comment()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
